.visit {
  position: relative;
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
  height: fit-content;
  background: #e2fff5;
  @include adaptiv-value('padding', 10, 6, 1);
  width: clamp(180px, 200px, 25%);
  opacity: 1;
  visibility: visible;
  transition: all 0.3s ease;

  .visit__btn-control {
    display: flex;
    align-items: center;
    justify-content: end;
    @include adaptiv-value('gap', 6, 4, 1);
    @include adaptiv-value('padding-bottom', 10, 6, 1);

    & button {
      @include adaptiv-value('font-size', 18, 14, 1);
      background: transparent;
      line-height: 0;
      border: none;
      cursor: pointer;

      .fa-file-circle-info,
      .fa-file-pen,
      .fa-trash {
        pointer-events: none;
      }
    }

    & .btn-more {
      color: #76d735;
    }
    & .btn-edit {
      color: #d2d228;
    }
    & .btn-delete {
      color: #e72044;
    }
  }

  .visit__more-info {
    @include adaptiv-value('padding-top', 10, 6, 1);
    height: 0;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease;

    &.show {
      height: 100%;
    }
  }

  .visit__fullname,
  .visit__doctor,
  .visit__purpose,
  .visit__brief,
  .visit__urgency,
  .visit__pressure,
  .visit__mass-index,
  .visit__disease,
  .visit__age,
  .visit__completed,
  .visit__last-date-visit {
    @include adaptiv-value('font-size', 12, 10, 1);
    @include adaptiv-value('margin-top', 4, 2, 1);
    font-weight: bold;
  }

  .fullname__value,
  .doctor__value,
  .purpose__value,
  .brief__value,
  .urgency__value,
  .pressure__value,
  .mass-index__value,
  .disease__value,
  .age__value,
  .completed__value,
  .last-date-visit__value {
    @include adaptiv-value('font-size', 12, 10, 1);
    // font-weight: bold;
    font-weight: normal;
  }

  .visit__fullname {
    @include adaptiv-value('font-size', 14, 12, 1);
    font-weight: bold;
  }

  .visit__doctor {
    font-weight: normal;
  }
}

@media screen and (min-width: $md-min-content) and (max-width: $md-max-content) {
}

@media screen and (min-width: $lg-min-content) {
}
